Skip to content

Services

All operations require authentication.

8 operationsv1/service · /service/{serviceId}
Agent setup

ServicesBeta

GET
/1.0/service

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/service \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesBeta

GET
/1.0/service/{serviceId}

Path parameters

serviceId
required
integer

The internal ID of your service

Response

200Servicesuccessful operation
creationDate
read-only
stringdate

Creation date

details
read-only
SafeKeyValue_string[]

Resource details

engagementDate
read-only
stringdate

Engagement date

expirationDate
read-only
stringdate

Expiration date

nextBillingDate
read-only
stringdate

The next billing date

plan
read-only
Plan

Plan service description

quantity
read-only
integer

Quantity

renew
read-only
Renew

Renew service description

resource
Resource

Resource service description

route
read-only
Route

Route to use in API

state
read-only
BillingStateEnum

Billing state of your service

Valuesexpiredokpendingunpaid

Example uses serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01", "details": [ { "key": "string", "value": "string" } ], "engagementDate": "2024-01-01", "expirationDate": "2024-01-01", "nextBillingDate": "2024-01-01", "plan": { "code": "string", "product": { "name": "string" } }, "quantity": 0, "renew": { "dayOfMonth": 0, "interval": "P1M", "mode": "automaticForcedProduct", "possibleIntervals": [ "P1M" ], "possibleModes": [ "automaticForcedProduct" ] }, "resource": { "displayName": "string", "name": "string", "state": "deleted" }, "route": { "path": "string", "url": "string", "vars": [ { "key": "string", "value": "string" } ] }, "state": "expired"}

Alter this object propertiesBeta

PUT
/1.0/service/{serviceId}

Path parameters

serviceId
required
integer

The internal ID of your service

Request body (required)

creationDate
read-only
stringdate

Creation date

details
read-only
SafeKeyValue_string[]

Resource details

engagementDate
read-only
stringdate

Engagement date

expirationDate
read-only
stringdate

Expiration date

nextBillingDate
read-only
stringdate

The next billing date

plan
read-only
Plan

Plan service description

quantity
read-only
integer

Quantity

renew
read-only
Renew

Renew service description

resource
Resource

Resource service description

route
read-only
Route

Route to use in API

state
read-only
BillingStateEnum

Billing state of your service

Valuesexpiredokpendingunpaid

Response

200—successful operation

Example uses serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"

List possible renews for this serviceBeta

GET
/1.0/service/{serviceId}/renew

Path parameters

serviceId
required
string

Service Id

Query parameters

includeOptions
boolean

Include service's option(s)

Response

200RenewDescription[]successful operation
renewPeriod
read-only
durationduration

ISO8601 formatted renewal duration

strategies
read-only
RenewStrategy[]

List possible strategies

Example uses serviceId = string

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId}/renew \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "renewPeriod": {}, "strategies": [ { "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceInUcents": 0, "services": [ 0 ], "servicesDetails": [ { "serviceId": 0, "serviceName": "string", "serviceType": "string" } ] } ] }]

Create a renew orderBeta

POST
/1.0/service/{serviceId}/renew

Path parameters

serviceId
required
string

Service Id

Request body (required)

dryRun
boolean

Indicates if renew order is generated

duration
required
stringduration

Renew duration

services
required
integer[]

List of services to renew

Response

200RenewOrdersuccessful operation
date
read-only
stringdate-time

Creation date of the renew Order

expirationDate
read-only
stringdate-time

Expiration date of the renew Order

orderId
read-only
integer

ID of the renew Order

password
read-only
string

Password

pdfUrl
read-only
string

Public pdf URL of the generated renew Order

priceWithTax
read-only
Price

Price of the product with tax

priceWithoutTax
read-only
Price

Price of the product without tax

retractionDate
read-only
stringdate-time

Retraction date

tax
read-only
Price

Value of the tax

url
read-only
string

Public URL to display generated renew Order

Example uses serviceId = string

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId}/renew \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "orderId": 0, "password": "string", "pdfUrl": "string", "priceWithTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "retractionDate": "2024-01-01T12:00:00Z", "tax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string"}

Reopen a suspended serviceBeta

POST
/1.0/service/{serviceId}/reopen

Path parameters

serviceId
required
integer

The internal ID of your service

Response

200—successful operation

Example uses serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId}/reopen \
  -H "authorization: Bearer $OVH_TOKEN"

Suspend the service. The service won't be accessible, but you will still be charged for itBeta

POST
/1.0/service/{serviceId}/suspend

Path parameters

serviceId
required
integer

The internal ID of your service

Response

200—successful operation

Example uses serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId}/suspend \
  -H "authorization: Bearer $OVH_TOKEN"

Terminates a suspended serviceBeta

POST
/1.0/service/{serviceId}/terminate

Path parameters

serviceId
required
integer

The internal ID of your service

Response

200—successful operation

Example uses serviceId = 0

$ curl https://api.eu.ovhcloud.com/1.0/service/{serviceId}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"